//
//  config.h
//
//  Mini watt hour meter 0.4
//  Copyright (C) 2009 Toyohiko Togashi tog001@nifty.com
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//	Update history
//	---------- ----- -------------------------------------------
//	2009.10.30 v0.4  PIC16/HI-TECH C version
//	2009.11.11 v0.4b RL -> config.h
//

//
//	Hardware configuration
//

//	CPU clock
//#define _XTAL_FREQ	31250
//#define _XTAL_FREQ	125000
//#define _XTAL_FREQ	250000
//#define _XTAL_FREQ	500000
//#define _XTAL_FREQ	1000000
//#define _XTAL_FREQ	2000000
//#define _XTAL_FREQ	4000000
#define _XTAL_FREQ		8000000

//	I/O Port
#define SW1	(!RA5)
#define SW2	(!RA7)

//	Analog Port
//		CT#0	AN0/RA0
//		CT#1	AN1/RA1
//		CT#2	AN2/RA2
//		CT#3	AN3/RA3
//		CT#4	AN4/RA4
//		CT#5	AN5/RB6
//		CT#6	AN6/RB7

//	Load registor						// V->I ratio x 10.0
//#define RL_Kx10	5					// RL=10k
//#define RL_Kx10	11					// RL=3k
//#define RL_Kx10	30					// RL=1k
//#define RL_Kx10	67					// RL=500
#define RL_Kx10		100					// RL=330
//#define RL_Kx10	300					// RL=100

//	Character LCD
#define LCD_E_PIN	RB4
#define LCD_RS_PIN	RB5
#define LCD_RW_PIN	RA5
#define LCD_E_TRIS	TRISB4
#define LCD_RS_TRIS	TRISB5
#define LCD_RW_TRIS	TRISA6
#define LCD_PORT	PORTB
#define LCD_TRIS	TRISB
//#define LCD_8BIT
//#define LCD_4BIT	1		// UPPER
#define LCD_4BIT	0		// LOWER

